<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Threading/TaskThread.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">TaskThread.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;atomic&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TaskThread.h:</div>
<div class="dyncontent">
<div class="center"><img src="_task_thread_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_task_thread_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_threading_2_task_thread_8hdep">
<area shape="rect" id="node2" href="_executor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Threading/Executor.h" alt="" coords="3275,119,3456,184"/>
<area shape="rect" id="node49" href="_task_thread_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/TaskThread.cpp" alt="" coords="3480,125,3640,177"/>
<area shape="rect" id="node50" href="_task_thread_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/TaskThreadTest.cpp" alt="" coords="3664,125,3833,177"/>
<area shape="rect" id="node3" href="_message_router_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/include/ACL\l/Transport/MessageRouter.h" alt="" coords="292,359,482,411"/>
<area shape="rect" id="node4" href="_message_router_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MessageRouter.cpp" alt="" coords="5,479,163,531"/>
<area shape="rect" id="node5" href="_message_router_test_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/test/Transport\l/MessageRouterTest.h" alt="" coords="187,479,349,531"/>
<area shape="rect" id="node10" href="_message_router_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/include/ACL\l/Transport/MessageRouterInterface.h" alt="" coords="299,239,542,291"/>
<area shape="rect" id="node13" href="_h_t_t_p2_transport_factory_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/HTTP2TransportFactory.cpp" alt="" coords="565,239,758,291"/>
<area shape="rect" id="node14" href="_audio_activity_tracker_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/include/AFML\l/AudioActivityTracker.h" alt="" coords="3895,239,4066,291"/>
<area shape="rect" id="node16" href="_focus_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/include/AFML\l/FocusManager.h" alt="" coords="1672,359,1843,411"/>
<area shape="rect" id="node17" href="_visual_activity_tracker_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/include/AFML\l/VisualActivityTracker.h" alt="" coords="1867,359,2038,411"/>
<area shape="rect" id="node18" href="_dialog_u_x_state_aggregator_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/DialogUXStateAggregator.h" alt="" coords="3215,239,3516,291"/>
<area shape="rect" id="node19" href="_audio_input_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/include/AIP/AudioInputProcessor.h" alt="" coords="2406,359,2661,411"/>
<area shape="rect" id="node20" href="_speech_synthesizer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/include\l/SpeechSynthesizer/SpeechSynthesizer.h" alt="" coords="2062,352,2331,417"/>
<area shape="rect" id="node21" href="_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/ExceptionEncountered\lSender.h" alt="" coords="2686,352,2958,417"/>
<area shape="rect" id="node22" href="_executor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/Executor.cpp" alt="" coords="1719,239,1879,291"/>
<area shape="rect" id="node23" href="_executor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/ExecutorTest.cpp" alt="" coords="1903,239,2063,291"/>
<area shape="rect" id="node24" href="_blue_z_bluetooth_device_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/BlueZBluetooth\lDevice.h" alt="" coords="2087,232,2327,297"/>
<area shape="rect" id="node25" href="_blue_z_host_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/BlueZHostController.h" alt="" coords="2350,239,2629,291"/>
<area shape="rect" id="node26" href="_pulse_audio_bluetooth_initializer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/PulseAudioBluetooth\lInitializer.h" alt="" coords="2652,232,2924,297"/>
<area shape="rect" id="node27" href="_capabilities_delegate_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilitiesDelegate\l/include/CapabilitiesDelegate\l/CapabilitiesDelegate.h" alt="" coords="2948,232,3141,297"/>
<area shape="rect" id="node28" href="_alerts_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/AlertsCapabilityAgent.h" alt="" coords="4966,352,5130,417"/>
<area shape="rect" id="node29" href="_renderer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Renderer/Renderer.h" alt="" coords="3243,352,3395,417"/>
<area shape="rect" id="node30" href="_audio_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/AudioPlayer.h" alt="" coords="3419,352,3638,417"/>
<area shape="rect" id="node31" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="3661,352,3849,417"/>
<area shape="rect" id="node32" href="_d_n_d_setting_protocol_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DNDSettingProtocol.h" alt="" coords="4634,352,4892,417"/>
<area shape="rect" id="node33" href="_do_not_disturb_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DoNotDisturbCapability\lAgent.h" alt="" coords="3873,345,4139,424"/>
<area shape="rect" id="node34" href="_equalizer_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/include/Equalizer\l/EqualizerCapabilityAgent.h" alt="" coords="4162,352,4348,417"/>
<area shape="rect" id="node35" href="_external_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/include\l/ExternalMediaPlayer/ExternalMedia\lPlayer.h" alt="" coords="4372,345,4609,424"/>
<area shape="rect" id="node36" href="_m_r_m_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/MRM/include/MRM/MRMCapability\lAgent.h" alt="" coords="5155,352,5387,417"/>
<area shape="rect" id="node37" href="_notifications_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/include\l/Notifications/NotificationsCapability\lAgent.h" alt="" coords="964,345,1197,424"/>
<area shape="rect" id="node38" href="_playback_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/PlaybackController/include\l/PlaybackController/PlaybackController.h" alt="" coords="1227,352,1490,417"/>
<area shape="rect" id="node39" href="_settings_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/include/Settings\l/Settings.h" alt="" coords="883,232,1054,297"/>
<area shape="rect" id="node40" href="_speaker_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/include\l/SpeakerManager/SpeakerManager.h" alt="" coords="1078,232,1322,297"/>
<area shape="rect" id="node41" href="_template_runtime_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/TemplateRuntime/include\l/TemplateRuntime/TemplateRuntime.h" alt="" coords="1346,232,1593,297"/>
<area shape="rect" id="node42" href="_certified_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CertifiedSender\l/include/CertifiedSender\l/CertifiedSender.h" alt="" coords="4698,232,4862,297"/>
<area shape="rect" id="node43" href="_android_s_l_e_s_media_queue_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaQueue.h" alt="" coords="4886,232,5149,297"/>
<area shape="rect" id="node44" href="_playlist_parser_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/PlaylistParser.h" alt="" coords="5473,239,5675,291"/>
<area shape="rect" id="node45" href="_url_content_to_attachment_converter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/UrlContentToAttachment\lConverter.h" alt="" coords="5515,352,5771,417"/>
<area shape="rect" id="node46" href="_u_i_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UIManager.h" alt="" coords="5275,239,5449,291"/>
<area shape="rect" id="node47" href="_setting_protocol_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingProtocolInterface.h" alt="" coords="4444,239,4674,291"/>
<area shape="rect" id="node48" href="_speech_encoder_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SpeechEncoder/include\l/SpeechEncoder/SpeechEncoder.h" alt="" coords="3591,239,3820,291"/>
<area shape="rect" id="node7" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="2420,472,2647,537"/>
<area shape="rect" id="node8" href="_a_c_l_test_context_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/ACLTestContext.h" alt="" coords="415,585,613,637"/>
<area shape="rect" id="node9" href="_auth_delegate_test_context_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/AuthDelegateTestContext.h" alt="" coords="424,479,678,531"/>
<area shape="rect" id="node6" href="_message_router_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/test/Transport\l/MessageRouterTest.cpp" alt="" coords="184,585,353,637"/>
<area shape="rect" id="node11" href="_a_v_s_connection_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/include/ACL\l/AVSConnectionManager.h" alt="" coords="747,359,928,411"/>
<area shape="rect" id="node12" href="_a_v_s_connection_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/AVSConnectionManager.cpp" alt="" coords="702,485,973,524"/>
<area shape="rect" id="node15" href="_audio_activity_tracker_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/src/AudioActivity\lTracker.cpp" alt="" coords="3032,359,3219,411"/>
</map>
</div>
</div>
<p><a href="_task_thread_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_task_thread.html">alexaClientSDK::avsCommon::utils::threading::TaskThread</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading.html">alexaClientSDK::avsCommon::utils::threading</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
